Subject: [secdir] Secdir telechat review of draft-ietf-sacm-coswid-20

From: Robert Sparks via Datatracker <[email-masked]>
Date: Tue, 01 Feb 2022 10:50:29 -0800

Reviewer: Robert Sparks
Review result: Ready

I have reviewed this document as part of the security directorate's ongoing
effort to review all IETF documents being processed by the IESG. These comments
were written primarily for the benefit of the security area directors. Document
editors and WG chairs should treat these comments just like any other last call
comments.

This document is ready publication as a Proposed Standard RFC.

Thanks for addressing my last call comments.

I still think you are missing an opportunity to avoid real implementation and
registry trouble by not further constraining the characters that can appear in
a name that will be registered. NMTOKEN, especially as defined in the
references you point to here, has a big expansion set.

Do you really want someone to be able to register the name "'̀·_·-·_·́'"?
(fwiw, that's b'\xcc\x80\xc2\xb7_\xc2\xb7-\xc2\xb7_\xc2\xb7\xcc\x81')

)